Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPHeaderElement

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.MessageElement
              org.apache.axis.message.SOAPHeaderElement

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.Node, Node, org.w3c.dom.NodeList, java.io.Serializable, SOAPElement, SOAPHeaderElement

Direct Known Subclasses:
  RPCHeaderParam

public class SOAPHeaderElement
extends MessageElement
implements SOAPHeaderElement

A simple header element abstraction. Extends MessageElement with header-specific stuff like mustUnderstand, actor, and a 'processed' flag.

Author:
  Glen Daniels (gdaniels@apache.org), Glyn Normington (glyn@apache.org)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Field Summary
`protected java.lang.String` | `actor`
`protected boolean` | `mustUnderstand`
`protected boolean` | `processed`
`protected boolean` | `relay`

Fields inherited from class org.apache.axis.message.MessageElement
`_isRoot, context, encodingStyle, endEventIndex, fixupDeserializer, href, id, log, message, namespaces, qNameAttrs, recorder, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`_isDirty, attributes, children, document, name, namespaceURI, parent, prefix, textRep`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SOAPHeaderElement(org.w3c.dom.Element elem)`
`SOAPHeaderElement(Name name)`
`SOAPHeaderElement(QName qname)`
`SOAPHeaderElement(QName qname, java.lang.Object value)`
`SOAPHeaderElement(java.lang.String namespace, java.lang.String localPart)`
`SOAPHeaderElement(java.lang.String namespace, java.lang.String localPart, java.lang.Object value)`
`SOAPHeaderElement(java.lang.String namespace, java.lang.String localPart, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`

Method Summary
`java.lang.String` | `getActor()` Returns the uri of the actor associated with this `SOAPHeaderElement` object.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
`boolean` | `getMustUnderstand()` Returns whether the mustUnderstand attribute for this `SOAPHeaderElement` object is turned on.
`boolean` | `getRelay()`
`java.lang.String` | `getRole()`
`boolean` | `isProcessed()`
`protected void` | `outputImpl(SerializationContext context)` Subclasses can override
`void` | `setActor(java.lang.String a)` Sets the actor associated with this `SOAPHeaderElement` object to the specified actor.
`void` | `setMustUnderstand(boolean b)` Sets the mustUnderstand attribute for this `SOAPHeaderElement` object to be on or off.
`void` | `setParentElement(SOAPElement parent)` Sets the parent of this `Node` object to the given `SOAPElement` object.
`void` | `setProcessed(boolean value)`
`void` | `setRelay(boolean relay)`
`void` | `setRole(java.lang.String a)`

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, childDeepCloned, cloneNode, cloning, detachAllChildren, equals, findElement, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributesEx, getAttributeValue, getAttributeValue, getChildElement, getChildElements, getChildElements, getChildElements, getChildren, getCompleteAttributes, getDeserializationContext, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getLength, getName, getNamespacePrefixes, getNamespaceURI, getObjectValue, getObjectValue, getOwnerDocument, getPrefix, getQName, getRealElement, getRecorder, getTagName, getType, getValue, getValueAsType, getValueAsType, getValueDOM, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, isRoot, item, output, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeContents, removeNamespaceDeclaration, setAllAttributes, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setObjectValue, setQName, setRecorder, setType, setValue, toString`

Methods inherited from class org.apache.axis.message.NodeImpl
`appendChild, convertAttrSAXtoDOM, detachNode, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getParent, getParentElement, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, initializeChildren, insertBefore, isDirty, isSupported, makeAttributesEditable, normalize, recycleNode, removeChild, replaceChild, setDirty, setNodeValue, setOwnerDocument, setParent, setPrefix`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Field Detail

### processed

    protected boolean processed

### actor

    protected java.lang.String actor

### mustUnderstand

    protected boolean mustUnderstand

### relay

    protected boolean relay

Constructor Detail

### SOAPHeaderElement

    public SOAPHeaderElement(java.lang.String namespace,
                             java.lang.String localPart)

### SOAPHeaderElement

    public SOAPHeaderElement(Name name)

### SOAPHeaderElement

    public SOAPHeaderElement(QName qname)

### SOAPHeaderElement

    public SOAPHeaderElement(java.lang.String namespace,
                             java.lang.String localPart,
                             java.lang.Object value)

### SOAPHeaderElement

    public SOAPHeaderElement(QName qname,
                             java.lang.Object value)

### SOAPHeaderElement

    public SOAPHeaderElement(org.w3c.dom.Element elem)

### SOAPHeaderElement

    public SOAPHeaderElement(java.lang.String namespace,
                             java.lang.String localPart,
                             java.lang.String prefix,
                             org.xml.sax.Attributes attributes,
                             DeserializationContext context)
                      throws AxisFault

Method Detail

### setParentElement

    public void setParentElement(SOAPElement parent)
                          throws SOAPException

  Description copied from interface: `Node`
  Sets the parent of this `Node` object to the given `SOAPElement` object.

  Specified by:
    `setParentElement` in interface `Node`
  Overrides:
    `setParentElement` in class `NodeImpl`
  Parameters:
    `parent` - the `SOAPElement` object to be set as the parent of this `Node` object
  Throws:
    `SOAPException` - if there is a problem in setting the parent to the given element
  See Also:
    `getParentElement()`

### getMustUnderstand

    public boolean getMustUnderstand()

  Description copied from interface: `SOAPHeaderElement`
  Returns whether the mustUnderstand attribute for this `SOAPHeaderElement` object is turned on.

  Specified by:
    `getMustUnderstand` in interface `SOAPHeaderElement`
  Returns:
    `true` if the mustUnderstand attribute of this `SOAPHeaderElement` object is turned on; `false` otherwise

### setMustUnderstand

    public void setMustUnderstand(boolean b)

  Description copied from interface: `SOAPHeaderElement`
  Sets the mustUnderstand attribute for this `SOAPHeaderElement` object to be on or off.

  If the mustUnderstand attribute is on, the actor who receives the `SOAPHeaderElement` must process it correctly. This ensures, for example, that if the `SOAPHeaderElement` object modifies the message, that the message is being modified correctly.

  Specified by:
    `setMustUnderstand` in interface `SOAPHeaderElement`
  Parameters:
    `b` - `true` to set the mustUnderstand attribute on; `false` to turn if off
  See Also:
    `getMustUnderstand()`

### getActor

    public java.lang.String getActor()

  Description copied from interface: `SOAPHeaderElement`
  Returns the uri of the actor associated with this `SOAPHeaderElement` object.

  Specified by:
    `getActor` in interface `SOAPHeaderElement`
  Returns:
    a `String` giving the URI of the actor
  See Also:
    `setActor(java.lang.String)`

### setActor

    public void setActor(java.lang.String a)

  Description copied from interface: `SOAPHeaderElement`
  Sets the actor associated with this `SOAPHeaderElement` object to the specified actor. The default value of an actor is: `SOAPConstants.URI_SOAP_ACTOR_NEXT`

  Specified by:
    `setActor` in interface `SOAPHeaderElement`
  Parameters:
    `a` - a `String` giving the URI of the actor to set
  See Also:
    `getActor()`

### getRole

    public java.lang.String getRole()

### setRole

    public void setRole(java.lang.String a)

### getRelay

    public boolean getRelay()

### setRelay

    public void setRelay(boolean relay)

### setProcessed

    public void setProcessed(boolean value)

### isProcessed

    public boolean isProcessed()

### outputImpl

    protected void outputImpl(SerializationContext context)
                       throws java.lang.Exception

  Subclasses can override

  Overrides:
    `outputImpl` in class `MessageElement`
  Parameters:
    `context` - destination.
  Throws:
    `java.lang.Exception` - if something went wrong.

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Description copied from class: `NodeImpl`
  A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `getAttributes` in class `NodeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.